<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:padding="8dp"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_ad_icon"
            android:layout_width="50dp"
            android:layout_height="50dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:src="@tools:sample/avatars" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_ad_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:textColor="@color/black"
            android:textSize="16sp"
            app:layout_constraintStart_toEndOf="@id/iv_ad_icon"
            app:layout_constraintTop_toTopOf="@id/iv_ad_icon"
            tools:text="Ad Title" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_ad_title_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintStart_toStartOf="@id/tv_ad_title"
            app:layout_constraintTop_toBottomOf="@id/tv_ad_title"
            tools:text="Desc" />

        <FrameLayout
            android:id="@+id/fl_ad_media_content"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_marginTop="8dp"
            app:layout_constraintTop_toBottomOf="@id/iv_ad_icon"
            tools:background="@tools:sample/backgrounds/scenic"
            tools:layout_height="200dp" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/btn_call_to_action"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/fl_ad_media_content" />


    </androidx.constraintlayout.widget.ConstraintLayout>